<?php
/*
 * theme custom options
 *
 * @edublue
 *
 * Admin Options for Theme 
 * File Name: theme-options.php
 */

$edublue_theme_options = array(
    'edublue_credits'  => '',
    'edublue_new_text' => ''
);

add_action( 'admin_menu', 'edublue_options_add_page' ); 

function edublue_options_add_page() {
    add_theme_page( 'Theme Options', 'Theme Setup', 'edit_theme_options', 'edublue-options', 'edublue_options_page' );
    }

// connect stylesheet to options page
function edublue_add_init() {
    wp_enqueue_style( 'edublue-admin-style', get_template_directory_uri() . '/include/admin-style.css', false, '1.1' );
    }
add_action( 'admin_enqueue_scripts', 'edublue_add_init' );

function edublue_register_settings() {
    register_setting( 'edublue_options', 'edublue_theme_options', 'edublue_validate_options');
    } 
    add_action( 'admin_init', 'edublue_register_settings' );
    
function edublue_options_page() {
   global $edublue_theme_options;
?>
<div id="wrap">
    <section id="edublue-options-container">
        <header>
        <h1> Options Page </h1> 
<?php if( isset($_GET['settings-updated']) && $_GET['settings-updated'] == true) : ?>
	<div class="updated below-h1">
		<p>Settings saved!</p>
	</div>
<?php endif;?>
        <h2>EduBlue Theme Options Settings</h2>
            <h3>Options for social networking and footer theme options.</h3>
        </header>
            <form action="options.php" method="POST">
            <?php $options = get_option( 'edublue_theme_options', $edublue_theme_options ); ?>
            <?php settings_fields( 'edublue_options' ); ?>
            <hr>
 <h3>Check box to remove credits from theme footer section.</h3>

         <?php  //if ( !empty( $options['edublue_credits'] )) 
             $checked = $options['edublue_credits'];
             $current = 1;
             
         ?>
                <table><tr><td><input name="edublue_theme_options[edublue_credits]" id="edublue_credits" type="checkbox" 
                value="1" <?php checked($checked, $current); ?> />
                <small>You do not have to leave footer credits but it would be nice.</small></td></tr>
                <tr><td><p>And you may replace the footer credit with your own text here:</p>
                <input id="edublue_new_text" name="edublue_theme_options[edublue_new_text]" size="65" type="text" 
value="<?php if (!empty($options['edublue_new_text'])) echo $options['edublue_new_text']; ?>" /></td></tr>
                <tr><td><p>The HTML Number for Copyright is: <xmp> &copy; </xmp></p></td></tr>
                </table>  
                    <?php 
                    // submit options
                    submit_button(); 
                    ?>
        </form> 
    </section> 
<section id="edublue-options-container">
<hr>
<h1>Please Read</h1>
<h2>Concerning EduBlue Menu Options/Configuration</h2>
<h3>Top Bar Above Header</h3>
<p>This menu ONLY supports inline single block menu navigation. Unfortunately, you may not add drop down selections to this menu. Any stair-cased pages will not show in this menu. <br><span>Suggested use: Home, About, Contact, Shopping Cart....</span></p>
<h3>Middle Primary Menu in Header</h3>
<p>This navigation menu supports up to three levels of drop down lists. It will work with more than three yet the margins are best at three or less. This is a pure CSS navigation section with no Javascript. This creates faster page loads and is W3C compliant. <br><span>Suggested use: All general navigation of your Website.</span></p>
<h3>Tertiary Third Menu Below Primary</h3>
<p>This menu is a static listing navigation styled menu. It is supported for many levels but should be used with discretion as to how far down the menu drops into the content area to avoid overflow into the sidebar or articles areas. <br><span>Suggested use: Courses and Campus categories or secondary navigation to the primary menu.</span></p>
<?php
}	
function edublue_validate_options( $input ) {
        global $edublue_theme_options;
        $options = get_option( 'edublue_theme_options', $edublue_theme_options );   
        $input['edublue_credits']  = wp_filter_post_kses( $input['edublue_credits'] );
        $input['edublue_new_text'] = sanitize_text_field( $input['edublue_new_text'] );
     return $input;
    }  